package com.foreverwin.mesnac.dataimport.handler;

import com.foreverwin.mesnac.dataimport.handler.base.Handler;

/**
 * @author Ervin Chen
 * @date 2020/9/20 11:43
 */
public class HandlerFactory {

    public static Handler getHandler(String handleType){
        switch (handleType){
            case "resource":
                return new ResourceHandler();
            case "operation" :
                return new OperationHandler();
            case "workCenter" :
                return new WorkCenterHandler();
        }

        return null;
    }
}
